// Code generated by MockGen. DO NOT EDIT.
// Source: client.go

// Package mock_telegramclient is a generated GoMock package.
package mocks

import (
	gomock "github.com/golang/mock/gomock"
	telegramclient "gitlab.com/eng-bot/bot/internal/telegramclient"
	reflect "reflect"
)

// MockTGClient is a mock of TGClient interface
type MockTGClient struct {
	ctrl     *gomock.Controller
	recorder *MockTGClientMockRecorder
}

// MockTGClientMockRecorder is the mock recorder for MockTGClient
type MockTGClientMockRecorder struct {
	mock *MockTGClient
}

// NewMockTGClient creates a new mock instance
func NewMockTGClient(ctrl *gomock.Controller) *MockTGClient {
	mock := &MockTGClient{ctrl: ctrl}
	mock.recorder = &MockTGClientMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use
func (m *MockTGClient) EXPECT() *MockTGClientMockRecorder {
	return m.recorder
}

// GetNextMessages mocks base method
func (m *MockTGClient) GetNextMessages() ([]telegramclient.Update, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetNextMessages")
	ret0, _ := ret[0].([]telegramclient.Update)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetNextMessages indicates an expected call of GetNextMessages
func (mr *MockTGClientMockRecorder) GetNextMessages() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetNextMessages", reflect.TypeOf((*MockTGClient)(nil).GetNextMessages))
}

// SendMessage mocks base method
func (m *MockTGClient) SendMessage(request telegramclient.SendMessageRequest) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "SendMessage", request)
	ret0, _ := ret[0].(error)
	return ret0
}

// SendMessage indicates an expected call of SendMessage
func (mr *MockTGClientMockRecorder) SendMessage(request interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "SendMessage", reflect.TypeOf((*MockTGClient)(nil).SendMessage), request)
}
